My Project: dgThreadHive Class Reference

My Project

Classes | Public Member Functions | List of all members
dgThreadHive Class Reference

`#include <dgThreadHive.h>`

Inheritance diagram for dgThreadHive:

## Classes

class | dgThreadBee
class | dgThreadJob

## Public Member Functions

| dgThreadHive (dgMemoryAllocator *const allocator)
virtual | ~dgThreadHive ()
virtual void | OnBeginWorkerThread (dgInt32 threadId)
virtual void | OnEndWorkerThread (dgInt32 threadId)
void | SetMatertThread (dgThread *const mastertThread)
void | GlobalLock () const
void | GlobalUnlock () const
void | GetIndirectLock (dgThread::dgCriticalSection *const criticalSectionLock) const
void | ReleaseIndirectLock (dgThread::dgCriticalSection *const criticalSectionLock) const
void | ClearTimers ()
dgInt32 | GetThreadCount () const
dgInt32 | GetMaxThreadCount () const
void | SetThreadsCount (dgInt32 count)
void | QueueJob (dgWorkerThreadTaskCallback callback, void *const context0, void *const context1)
void | SynchronizationBarrier ()
void | SetPerfomanceCounter (OnGetPerformanceCountCallback callback)
dgUnsigned32 | GetPerfomanceTicks (dgUnsigned32 threadIndex) const

## Constructor & Destructor Documentation

## § dgThreadHive()

dgThreadHive::dgThreadHive | ( | dgMemoryAllocator *const | allocator | ) |

## § ~dgThreadHive()

dgThreadHive::~dgThreadHive | ( |  | ) |

virtual

## Member Function Documentation

## § ClearTimers()

void dgThreadHive::ClearTimers | ( |  | ) |

## § GetIndirectLock()

void dgThreadHive::GetIndirectLock | ( | dgThread::dgCriticalSection *const | criticalSectionLock | ) | const

inline

## § GetMaxThreadCount()

dgInt32 dgThreadHive::GetMaxThreadCount | ( |  | ) | const

## § GetPerfomanceTicks()

dgUnsigned32 dgThreadHive::GetPerfomanceTicks | ( | dgUnsigned32 | threadIndex | ) | const

## § GetThreadCount()

dgInt32 dgThreadHive::GetThreadCount | ( |  | ) | const

## § GlobalLock()

void dgThreadHive::GlobalLock | ( |  | ) | const

inline

## § GlobalUnlock()

void dgThreadHive::GlobalUnlock | ( |  | ) | const

inline

## § OnBeginWorkerThread()

void dgThreadHive::OnBeginWorkerThread | ( | dgInt32 | threadId | ) |

virtual

Reimplemented in dgWorldThreadPool.

## § OnEndWorkerThread()

void dgThreadHive::OnEndWorkerThread | ( | dgInt32 | threadId | ) |

virtual

Reimplemented in dgWorldThreadPool.

## § QueueJob()

void dgThreadHive::QueueJob | ( | dgWorkerThreadTaskCallback | callback,
|  | void *const | context0,
|  | void *const | context1
| ) |  |

## § ReleaseIndirectLock()

void dgThreadHive::ReleaseIndirectLock | ( | dgThread::dgCriticalSection *const | criticalSectionLock | ) | const

inline

## § SetMatertThread()

void dgThreadHive::SetMatertThread | ( | dgThread *const | mastertThread | ) |

## § SetPerfomanceCounter()

void dgThreadHive::SetPerfomanceCounter | ( | OnGetPerformanceCountCallback | callback | ) |

## § SetThreadsCount()

void dgThreadHive::SetThreadsCount | ( | dgInt32 | count | ) |

## § SynchronizationBarrier()

void dgThreadHive::SynchronizationBarrier | ( |  | ) |

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgThreadHive.h
- dynamics.mod/NewtonDynamics/source/core/dgThreadHive.cpp